Bug 1772316 - NFS-Ganesha (RGW) Support UI
Summary: NFS-Ganesha (RGW) Support UI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Dashboard
Version: 4.0
Hardware: Unspecified
OS: Unspecified
medium
urgent
Target Milestone: ---
: 5.0
Assignee: Ernesto Puerta
QA Contact: Preethi
Anjana Suparna Sriram
URL:
Whiteboard:
Depends On:
Blocks: 1730176 1938946
TreeView+ depends on / blocked
 
Reported: 2019-11-14 06:03 UTC by Madhavi Kasturi
Modified: 2021-08-30 08:23 UTC (History)
11 users (show)

Fixed In Version: ceph-16.0.0-7953.el8cp
Doc Type: Known Issue
Doc Text:
.NFS Ganesha in Dashboard The {product} Dashboard currently does not support managing NFS Ganesha.
Clone Of:
Environment:
Last Closed: 2021-08-30 08:22:57 UTC
Target Upstream Version:


Attachments (Terms of Use)
RGW_NFS (26.56 KB, image/png)
2020-12-17 18:42 UTC, Preethi
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github ceph ceph-ansible issues 4467 0 None open Dashboard - NFS - No cluster available 2021-02-15 11:45:42 UTC
Red Hat Issue Tracker RHCEPH-1007 0 None None None 2021-08-26 17:02:05 UTC
Red Hat Issue Tracker RHCSDASH-31 0 None None None 2021-08-26 17:02:01 UTC
Red Hat Product Errata RHBA-2021:3294 0 None None None 2021-08-30 08:23:31 UTC

Comment 1 Ernesto Puerta 2019-11-15 17:24:06 UTC
Madhavi, I cannot find where the NFS RGW daemons are running? I checked magna 19, 23 and 30 and see no trace of them. On 23 I found a /etc/ganesha/rgw.conf, but it's incomplete: 

> FSAL {
>     ceph_conf = "/<substitute path to>/ceph.conf";
> ...
> }
> RGW {
> ...
> ceph_conf = "/<substitute path to>/ceph.conf";
> ...
> }


So first of all, we should ensure we have a running NFS Ganesha deployment, and then fall back to the dashboard. For full NFS Managment in Dashboard, you need an orchestrator, and currently Ceph-Mgr Ansible Orchestrator does not support NFS (only Rook is supported in Nautilus: https://docs.ceph.com/docs/nautilus/mgr/orchestrator_cli/#current-implementation-status).

1. The (upstream) docs for NFS RGW are here: https://docs.ceph.com/docs/mimic/radosgw/nfs/#configuring-an-nfs-ganesha-instance
2. Once that's working, we may try reviewing upstream doc for Dashboard + NFS Ganesha (https://docs.ceph.com/docs/nautilus/mgr/dashboard/#nfs-ganesha-management).

If you need any help with that, let me know and I'll help you on this (I have to admit that I have little experience with NFS Ganesha + RGW deployment).

Comment 9 Hemant G 2020-01-02 09:06:30 UTC
As per PM should be moved to 4.1.

Comment 15 Preethi 2020-12-17 18:42:51 UTC
Created attachment 1740046 [details]
RGW_NFS

Comment 16 Preethi 2020-12-17 18:56:26 UTC
@Ernesto, This is supported and working in 5.0. Attached snippet for reference.

Comment 20 errata-xmlrpc 2021-08-30 08:22:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Red Hat Ceph Storage 5.0 bug fix and enhancement), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:3294


Note You need to log in before you can comment on or make changes to this bug.